package com.zhongzheng.modules.user.service;


import com.baomidou.mybatisplus.extension.service.IService;
import com.zhongzheng.modules.user.bo.UserOcrAddBo;
import com.zhongzheng.modules.user.bo.UserOcrEditBo;
import com.zhongzheng.modules.user.bo.UserOcrQueryBo;
import com.zhongzheng.modules.user.domain.UserOcr;
import com.zhongzheng.modules.user.vo.UserOcrVo;

import java.util.Collection;
import java.util.List;

/**
 * 用户ocr信息Service接口
 *
 * @author ruoyi
 * @date 2021-06-21
 */
public interface IUserOcrService extends IService<UserOcr> {
	/**
	 * 查询单个
	 * @return
	 */
	UserOcrVo queryById(Long ocrId);

	UserOcr queryByUserId(Long userId);

	/**
	 * 查询列表
	 */
	List<UserOcrVo> queryList(UserOcrQueryBo bo);

	/**
	 * 根据新增业务对象插入用户ocr信息
	 * @param bo 用户ocr信息新增业务对象
	 * @return
	 */
	Boolean insertByAddBo(UserOcrAddBo bo);

	/**
	 * 根据编辑业务对象修改用户ocr信息
	 * @param bo 用户ocr信息编辑业务对象
	 * @return
	 */
	Boolean updateByEditBo(UserOcrEditBo bo);

	/**
	 * 校验并删除数据
	 * @param ids 主键集合
	 * @param isValid 是否校验,true-删除前校验,false-不校验
	 * @return
	 */
	Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
